www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Uwe Schindler" <...@thetaphi.de>
Subject RE: No Java 1.5 on freebsd1
Date Tue, 05 Oct 2010 12:14:13 GMT
The biggest problem is curtrently the very antique version of JDK 1.5 for
FreeBSD (1.5.0_07). Also the JDK 1.6 is very old, I recommend to use the
openjdk6 port in BSD.

The plan for lucene node is to install the 32 bit linux JDKs in latest
versions (both 1.6 and 1.5 in /home/Hudson as Hudson-user local
installation, no server wide) and use the linprocfs and base_linux ELF
compatibility package, which works at the moment (except that the JDK needs
a mounted linprocfs, which is harder to do in a jail).

Uwe

-----
Uwe Schindler
H.-H.-Meier-Allee 63, D-28213 Bremen
http://www.thetaphi.de
eMail: uwe@thetaphi.de


> -----Original Message-----
> From: Niklas Gustavsson [mailto:niklas@protocol7.com]
> Sent: Tuesday, October 05, 2010 11:34 AM
> To: builds@apache.org
> Subject: Re: No Java 1.5 on freebsd1
> 
> On Tue, Oct 5, 2010 at 11:23 AM, Jukka Zitting <jukka.zitting@gmail.com>
> wrote:
> > The Jackrabbit-trunk build fails [1] on freebsd1 with the following
error:
> >
> >    Cannot run program "/home/hudson/tools/java/latest1.5/bin/java"
> >    (in directory "/home/hudson/hudson-slave/workspace/Jackrabbit-
> trunk/trunk"):
> >    java.io.IOException: error=2, No such file or directory
> 
> I know Gav was looking into installing JDK 1.5 on the Lucene BSD jail.
> I don't know the status of this, but if he's able to get it on the Lucene
jail, I
> guess we could also get it on the Hudson jail.
> 
> /niklas


Mime
View raw message